class AlgorithmDescription:
    def __init__(self, name, online, file_path) -> None:
        self.name = name
        self.online = online
        self.file_path = file_path


class Offline(AlgorithmDescription):
    def __init__(self, name, file_path) -> None:
        super().__init__(name=name, online=False, file_path=file_path)


class Online(AlgorithmDescription):
    def __init__(self, name, file_path) -> None:
        super().__init__(name=name, online=True, file_path=file_path)


ALGORITHMS = [
    Offline("pac", "sac.pac"),
    Offline("mgpac", "sac.mgpac"),
    Offline("bc", "bc"),
    Offline("sarsa", "sarsa"),
    Offline("sarsa_iqn", "sarsa_iqn"),
]
