#!/bin/bash

eval "$(command conda 'shell.bash' 'hook' 2>/dev/null)"
git config --global url."https://github.com/".insteadOf git://github.com/
conda env remove --name rlkit
conda create --name rlkit python=3.7
conda activate rlkit
conda install -y ipython
pip install --upgrade pip
pip install wheel
pip install wandb patchelf tensorboardX black numpy tqdm torch torchvision gym[all] cloudpickle gitpython gtimer pygame portalocker mujoco_py matplotlib pydantic torchtyping

pip install d4rl
pip install -U torch-tb-profiler
pip install -e .
